API: Alerts
Threshold alert rules on dashboards and metrics. All endpoints require authentication unless noted. 6 endpoints.
GET /api/dashboard-alerts
Section titled “GET /api/dashboard-alerts”List alerts for workspace
Responses: 200 · 400 · 401
POST /api/dashboard-alerts
Section titled “POST /api/dashboard-alerts”Create a dashboard alert
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
name |
string | yes | |
description |
string | no | |
condition |
object | yes | |
channels |
object | no | |
scheduleCron |
string | no |
Responses: 201 · 400 · 401 · 409
PUT /api/dashboard-alerts/{id}
Section titled “PUT /api/dashboard-alerts/{id}”Update an alert
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | yes |
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
name |
string | no | |
description |
string | no | |
condition |
object | no | |
channels |
object | no | |
isActive |
boolean | no | |
scheduleCron |
string | no |
Responses: 200 · 400 · 401 · 404
DELETE /api/dashboard-alerts/{id}
Section titled “DELETE /api/dashboard-alerts/{id}”Delete an alert
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | yes |
Responses: 204 — No content · 401 · 404
GET /api/dashboard-alerts/feed
Section titled “GET /api/dashboard-alerts/feed”Fired-alert notifications feed (per-user unread state)
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
limit |
integer | no |
Responses: 200
POST /api/dashboard-alerts/mark-read
Section titled “POST /api/dashboard-alerts/mark-read”Mark all notifications read for the caller
Responses: 200